module.exports = function(){

  const intervals = {};

  const start = function(name, milliseconds, callback){
    if(exists(name)){
      stop(intervals[name]);
    }
    intervals[name] = setInterval(callback, milliseconds);
  };

  const stop = function(name){
    clearInterval(intervals[name]);
  };

  const exists = function(name){
    return (intervals[name] !== undefined ? true : false);
  };

  const setTime = function(time, type){
    time = parseInt(time,10);
    var res = {seconds: time,minutes: time*60,hours: time*(60*60),days: time*(60*60*24)};
    return res[type]*1000;
  };

  return {
    start: function(name, milliseconds, callback){
      return start(name, milliseconds, callback);
    },

    stop: function(name){
      return stop(name);
    },

    exists: function(name){
      return exists(name);
    },

    setTime: function(time, type){
      return setTime(time, type);
    }

  };

}();
